%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major         0
%define api           1
%define gi_major      1.0
%define libname       %mklibname polkit-gtk-mate %{api} %{major}
%define develname     %mklibname -d polkit-gtk-mate
%define girname       %mklibname polkitgtkmate-gir %{gi_major}

Summary:        PolicyKit integration for the MATE desktop
Name:           mate-polkit
Version:        1.18.1
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# This patch enables mate-polkit autostart in various Desktops and Window Managers
# desktop-file-utils can not be used because of Openbox incompability.
Patch0:         mate-polkit-1.10.2-mga-other_DEs_autostart.patch
#BuildRequires:  git-core
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(appindicator3-0.1) >= 0.0.13
BuildRequires:  pkgconfig(polkit-agent-1) >= 0.97
BuildRequires:  pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6.2
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.36.0

Requires:       dbus-x11
Requires:       accountsservice

Provides:       polkit-agent
Provides:       polkit-mate = %{version}-%{release}
Provides:       polkit-gnome = %{version}-%{release}
Obsoletes:      polkit-gnome < 0.105-6

%description
PolicyKit authentication agent for MATE desktop.

%package -n %{libname}
Summary:       Mate-polkit libraries
Group:         System/Libraries
Obsoletes:     %{_lib}mate-polkit1_0 < 1.16.0

%description -n %{libname}
This package contains core libraries for mate-polkit

%package -n %{girname}
Summary:      GObject Introspection interface description for %{name}
Group:        System/Libraries
Requires:     %{libname} = %{version}-%{release}
Obsoletes:    %{_lib}mate-polkit-gir1.0 < 1.16.0

%description -n %{girname}
GObject Introspection interface description for %{name}

%package -n %{develname}
Summary:      Development files for mate-polkit
Group:        Development/C
Requires:     %{libname} = %{version}-%{release}
Requires:     %{girname} = %{version}-%{release}
Provides:     %{name}-devel = %{version}-%{release}
Obsoletes:    %{_lib}mate-polkit1-devel < 1.6.0-2
Obsoletes:    %{_lib}mate-polkit-devel < 1.16.0

%description -n %{develname}
Development files for mate-polkit.

%prep
#%%autosetup -p1 -S git
%autosetup -p1

%build
%configure2_5x  \
        --disable-static       \
        --enable-accountsservice \
        --enable-appindicator  \
        --enable-introspection
%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop
%{_libexecdir}/polkit-mate-authentication-agent-1

%files -n %{libname}
%{_libdir}/libpolkit-gtk-mate-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/PolkitGtkMate-%{gi_major}.typelib

%files -n %{develname}
%{_libdir}/libpolkit-gtk-mate-%{api}.so
%{_libdir}/pkgconfig/polkit-gtk-mate-%{api}.pc
%dir %{_includedir}/polkit-gtk-mate-1
%dir %{_includedir}/polkit-gtk-mate-1/polkitgtkmate
%{_includedir}/polkit-gtk-mate-1/polkitgtkmate/*
%{_datadir}/gir-1.0/PolkitGtkMate-%{gi_major}.gir


%changelog
* Wed May 17 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1102421
- Update to 1.18.1 version

* Sat Apr 15 2017 wally <wally> 1.18.0-3.mga6
+ Revision: 1096568
- add patches to fix deprecated GTK stock icons (mga#20648)

* Fri Apr 14 2017 wally <wally> 1.18.0-2.mga6
+ Revision: 1096531
- enable accountsservice support to get user face icon (when there is more than one admin user)

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092539
- Update to 1.18.0 version
- Update to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074699
- new version 1.16.0
- build with gtk3
- fix pkg names
- drop unneeded requires

  + luigiwalser <luigiwalser>
    - require dbus-x11 as it calls dbus-launch

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001190
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942338
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898500
-Update to 1.12.0 version

* Sun Sep 27 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 884152
- new version 1.10.2
- rediff xdg autostart patch

* Tue Sep 01 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 871980
- new version 1.10.1

* Tue Jun 30 2015 wally <wally> 1.10.0-3.mga6
+ Revision: 849075
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 1.10.0-2.mga6
+ Revision: 847769
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837041
- Update to 1.10.0 version

* Thu Oct 23 2014 tarakbumba <tarakbumba> 1.8.0-6.mga5
+ Revision: 792870
- Remove lxde from autostart patch (mga#14237)

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-5.mga5
+ Revision: 744096
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.0-4.mga5
+ Revision: 727176
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 1.8.0-3.mga5
+ Revision: 724942
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682199
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600084
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598053
- Update to 1.7.x version

* Sat Jan 25 2014 tarakbumba <tarakbumba> 1.6.1-2.mga4
+ Revision: 568139
- Use translations from git because upstream did not updated them for 1.6 release
- Re-enable comment translations in desktop file by reverting upstream change
- Add some explanations to specfile and patches

* Tue Jan 07 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 565487
- Remove desktop-file-utils usage from specfile; do this with a patch
- new bugfix version:1.6.1
- Also run in Openbox

* Tue Dec 17 2013 luigiwalser <luigiwalser> 1.6.0-8.mga4
+ Revision: 558316
- also run in IceWM (mga#12015)

* Sun Dec 15 2013 colin <colin> 1.6.0-7.mga4
+ Revision: 557078
- Use under LXDE too until their polkit support is clarified mga#11956

* Sat Dec 07 2013 tarakbumba <tarakbumba> 1.6.0-6.mga4
+ Revision: 555819
+ rebuild (emptylog)

* Tue Dec 03 2013 colin <colin> 1.6.0-5.mga4
+ Revision: 554782
- Obsolete the unmaintained polkit-gnome package.

* Tue Oct 22 2013 umeabot <umeabot> 1.6.0-4.mga4
+ Revision: 545207
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 wally <wally> 1.6.0-3.mga4
+ Revision: 500901
- autostart polkit agent also on Xfce
- drop unneeded sed magic from .spec

* Wed Aug 21 2013 wally <wally> 1.6.0-2.mga4
+ Revision: 469051
- fix devel pkg name
- tighten deps
- remove unneeded deps

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 443001
- imported package mate-polkit

